Subject: Re: [payload] [Technical Errata Reported] RFC6184 (4713)

From: "Ben Campbell" <[email-masked]>
Date: Fri, 17 Jun 2016 09:29:46 -0500

RFC6184 Authors + other payload WG participants:

What do you think of this errata?

Thanks!

Ben.

On 17 Jun 2016, at 5:53, RFC Errata System wrote:

> The following errata report has been submitted for RFC6184,
> "RTP Payload Format for H.264 Video".
>
> --------------------------------------
> You may review the report below and at:
> http://www.rfc-editor.org/errata_search.php?rfc=6184&eid=4713
>
> --------------------------------------
> Type: Technical
> Reported by: Iñaki Baz Castillo <[email-masked]>
>
> Section: 8.1
>
> Original Text
> -------------
> profile-level-id:
>          A base16 [7] (hexadecimal) representation of the following
>          three bytes in the sequence parameter
>
> Corrected Text
> --------------
> profile-level-id:
>          A base16 [7] (hexadecimal) representation of the following
>          six bytes in the sequence parameter
>
> Notes
> -----
> profile-level-id is composed of three 2-byte length fields.
>
> Instructions:
> -------------
> This erratum is currently posted as "Reported". If necessary, please
> use "Reply All" to discuss whether it should be verified or
> rejected. When a decision is reached, the verifying party (IESG)
> can log in to change the status and edit the report, if necessary.
>
> --------------------------------------
> RFC6184 (draft-ietf-avt-rtp-rfc3984bis-12)
> --------------------------------------
> Title               : RTP Payload Format for H.264 Video
> Publication Date    : May 2011
> Author(s)           : Y.-K. Wang, R. Even, T. Kristensen, R. Jesup
> Category            : PROPOSED STANDARD
> Source              : Audio/Video Transport
> Area                : Real-time Applications and Infrastructure
> Stream              : IETF
> Verifying Party     : IESG

---

From: "Ben Campbell" <[email-masked]>
Date: Fri, 17 Jun 2016 09:36:14 -0500

Also this one:

(Normally I would prefer to make changes to 2119 language in an update, 
not an errata. But if this is purely an error in the text. we can 
consider it.)

Thanks!

Ben.

> http://www.rfc-editor.org/errata_search.php?rfc=6184&eid=4714
>
> Section: 8.2.2
> To simplify the handling and matching of these configurations, the
> same RTP payload type number used in the offer SHOULD also be used
> in the answer, as specified in [8]
>
> [8] points to RFC 3264 "An Offer/Answer Model with the Session
> Description Protocol (SDP)"
>
> Corrected Text
> --------------
>
>
> Notes
> -----
> The above statement is wrong. RFC 3264 does not mandate the same 
> payload
> type in both the offer and the answer. In fact, RFC 3264 section 5.1 
> states:
>
>    For sendonly RTP streams, the payload type
>    numbers indicate the value of the payload type field in RTP packets
>    the offerer is planning to send for that codec.  For sendrecv RTP
>    streams, the payload type numbers indicate the value of the payload
>    type field the offerer expects to receive, and would prefer to 
> send.
>
>    However, for sendonly and sendrecv streams, the answer might 
> indicate
>    different payload type numbers for the same codecs, in which case,
>    the offerer MUST send with the payload type numbers from the 
> answer.
>
> Instructions:
> -------------

---

From: Magnus Westerlund <[email-masked]>
Date: Mon, 20 Jun 2016 16:05:18 +0200

Hi,

This errata should be handled by the PAYLOAD WG. Please send any 
feedback to them rather than AVTCORE WG.

Cheers

Magnus

Den 2016-06-17 kl. 12:53, skrev RFC Errata System:
> Reported by: IÃ±aki Baz Castillo <[email-masked]>
>
> Section: 8.1
>
> Original Text
> -------------
> profile-level-id:
> _______________________________________________
> Audio/Video Transport Core Maintenance
> [email-masked]
> https://www.ietf.org/mailman/listinfo/avt
>

-- 

Magnus Westerlund

----------------------------------------------------------------------
Services, Media and Network features, Ericsson Research EAB/TXM
----------------------------------------------------------------------
Ericsson AB                 | Phone  +46 10 7148287
Färögatan 6                 | Mobile +46 73 0949079
SE-164 80 Stockholm, Sweden | mailto: [email-masked]
----------------------------------------------------------------------

---

From: "Wang, Ye-Kui" <[email-masked]>
Date: Tue, 21 Jun 2016 00:59:59 +0000

I agree with Mo and Stephan, the original text is correct.

BR, YK

-----Original Message-----
From: avt [mailto:[email-masked]] On Behalf Of Stephan Wenger
Sent: Sunday, June 19, 2016 4:10 PM
To: Mo Zanaty (mzanaty) <[email-masked]>; RFC Errata System <[email-masked]>
Cc: [email-masked]; [email-masked]; [email-masked]; [email-masked]; [email-masked]; [email-masked]; [email-masked]
Subject: Re: [AVTCORE] [Technical Errata Reported] RFC6184 (4713)

Hi,

On 6/19/16, 06:22, "avt on behalf of Mo Zanaty (mzanaty)" <[email-masked] on behalf of [email-masked]> wrote:

>The original text is correct; 3 bytes in the binary representation become 6 text characters in base16. Therefore this errata should be rejected.

I agree.

Stephan

> 
>
>Regards,
>Mo
>
>On Jun 18, 2016, at 11:33 PM, RFC Errata System <[email-masked]> wrote:
>
>The following errata report has been submitted for RFC6184, "RTP 
>Payload Format for H.264 Video".
>
>use "Reply All" to discuss whether it should be verified or rejected. 
>When a decision is reached, the verifying party (IESG) can log in to 
>change the status and edit the report, if necessary.
>